## com.easysw.cups
Class IPPValue

    java.lang.Object
      |
      +--com.easysw.cups.IPPValue

public class IPPValue
extends java.lang.Object

Constructor Summary
`IPPValue(boolean p_boolean)` Boolean constructor.
`IPPValue(byte p_byte)` Byte constructor.
`IPPValue(byte p_units, int p_xres, int p_yres)` Resolution constructor.
`IPPValue(char[] p_date)` Date constructor.
`IPPValue(int p_int)` Integer constructor.
`IPPValue(int p_int, boolean anything)` Enum constructor.
`IPPValue(int p_length, char[] p_data)` Raw data constructor.
`IPPValue(int p_lower, int p_upper)` Range constructor.
`IPPValue(short p_short)` Short constructor.
`IPPValue(java.lang.String p_charset, java.lang.String p_text)` String constructor.

Method Summary
`long` `IPPDateToTime()` Convert an IPP Date value to Unix Time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IPPValue

    public IPPValue(byte p_byte)

  Byte constructor.
  Parameters:
    ``p_byte`` - Byte value.

### IPPValue

    public IPPValue(short p_short)

  Short constructor.
  Parameters:
    ``p_short`` - Short value.

### IPPValue

    public IPPValue(int p_int)

  Integer constructor.
  Parameters:
    ``p_int`` - Integer value.

### IPPValue

    public IPPValue(int p_int,
                    boolean anything)

  Enum constructor.
  Parameters:
    ``p_int`` - Integer value - force to IPP enum.

### IPPValue

    public IPPValue(boolean p_boolean)

  Boolean constructor.
  Parameters:
    ``p_boolean`` - Boolean value.

### IPPValue

    public IPPValue(char[] p_date)

  Date constructor. Also set the `unix_time` member.
  Parameters:
    ``p_date[]`` - Character array with date value.

### IPPValue

    public IPPValue(java.lang.String p_charset,
                    java.lang.String p_text)

  String constructor. Set the `string` and `charset` values.
  Parameters:
    ``p_charset`` - Charset for string.
    ``p_text`` - Text for string.

### IPPValue

    public IPPValue(int p_lower,
                    int p_upper)

  Range constructor. Automatically swap as needed.
  Parameters:
    ``p_lower`` - Integer lower value.
    ``p_upper`` - Integer upper value.

### IPPValue

    public IPPValue(byte p_units,
                    int p_xres,
                    int p_yres)

  Resolution constructor.
  Parameters:
    ``p_units`` - Unit of measure.
    ``p_xres`` - X resolution.
    ``p_yres`` - Y resolution.

### IPPValue

    public IPPValue(int p_length,
                    char[] p_data)

  Raw data constructor.
  Parameters:
    ``p_length`` - Size of array.
    ``p_data[]`` - Data.

Method Detail

### IPPDateToTime

    public long IPPDateToTime()

  Convert an IPP Date value to Unix Time.
  Returns:
    `long` Unix time in seconds.
  See Also:
    `IPPCalender`